Scilab Function

nlev - Leverrier's algorithm

### Calling Sequence

  `[num,den]=nlev(A,z [,rmax])`

### Parameters

- `A` : real square matrix
- `z` : character string
- `rmax` : optional parameter (see `bdiag`)

### Description

computes:

by block diagonalization of A followed by Leverrier's algorithm on each block.

### Remark

This algorithm is better than the usual leverrier algorithm but still not perfect!

### Examples

    A=rand(3,3);x=poly(0,'x');
    [NUM,den]=nlev(A,'x')
    clean(den-poly(A,'x'))
    clean(NUM/den-inv(x*eye()-A))

### See Also

`coff` `coffg` `glever` `ss2tf`

### Author

F. D., S. S.;